Groovy 1.7.0

## org.codehaus.groovy.runtime
Class MethodRankHelper.RankableConstructor

    java.lang.Object
      org.codehaus.groovy.runtime.MethodRankHelper.RankableConstructor

All Implemented Interfaces:
  Comparable

    class MethodRankHelper.RankableConstructor

This class wraps a method object and a score variable so methods Can easily be ranked by their likeness to a another method

Field Summary
`Constructor` | `c`
`Integer` | `score`

Constructor Summary
`MethodRankHelper.RankableConstructor(Class[] argumentTypes, Constructor c)`

Method Summary
`int` | `compareTo(Object o)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### c

    final Constructor c

### score

    final Integer score

Constructor Detail

### MethodRankHelper.RankableConstructor

    public MethodRankHelper.RankableConstructor(Class[] argumentTypes, Constructor c)

Method Detail

### compareTo

    public int compareTo(Object o)

Copyright © 2003-2009 The Codehaus. All rights reserved.